> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Test an existing webhook profile

> Sends a WEBHOOK_TEST event to the URL in the profile



## OpenAPI

````yaml /openapi/webhooks-20260203.json post /notifications/webhooks/{webhookProfileId}/test
openapi: 3.1.0
info:
  title: WEBHOOKS
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Settings
paths:
  /notifications/webhooks/{webhookProfileId}/test:
    post:
      tags:
        - Profile
      summary: Test an existing webhook profile
      description: Sends a WEBHOOK_TEST event to the URL in the profile
      operationId: webhooks-profiles-test
      parameters:
        - name: webhookProfileId
          in: path
          description: Unique identifier for the webhook profile
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Test message sent
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/WebhookProfileTestResponse'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '404':
          description: Webhook profile cannot be found
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    WebhookProfileTestResponse:
      type: object
      properties:
        requestId:
          type: string
          description: Unique identifier of this request
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
        displayMessage:
          type: string
        errors:
          type: array
          items:
            type: string
        message:
          type: string
        requestId:
          type: string
        serviceProviderDetails:
          type: object
          additionalProperties: {}
        timestamp:
          type: string
          format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````